Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client
Class AdminClient

    java.lang.Object
      org.apache.axis.client.AdminClient

public class AdminClient
extends Object

An admin client object that can be used both from the command line and programmatically.

Author:
  Rob Jellinghaus (robj@unrealities.com), Doug Davis (dug@us.ibm.com), Simeon Simeonov (simeons@macromedia.com)

Field Summary
`protected Call` | `call`
`protected static String` | `ROOT_UNDEPLOY`

Constructor Summary
`AdminClient()` Construct an admin client w/o a logger

Method Summary
`Call` | `getCall()` External access to our Call object
`String` | `list()`
`String` | `list(Options opts)`
`static void` | `main(String[] args)` Creates in instance of `AdminClient` and invokes `process(args)`.
`String` | `process(InputStream input)`
`String` | `process(Options opts, InputStream input)`
`String` | `process(Options opts, String xmlFile)`
`String` | `process(String xmlFile)`
`String` | `process(String[] args)` Processes a set of administration commands.
`String` | `process(URL xmlURL)`
`void` | `processOpts(Options opts)`
`String` | `quit()`
`String` | `quit(Options opts)`
`String` | `undeployHandler(String handlerName)`
`String` | `undeployService(String serviceName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### call

    protected Call call

### ROOT_UNDEPLOY

    protected static final String ROOT_UNDEPLOY

Constructor Detail

### AdminClient

    public AdminClient()

  Construct an admin client w/o a logger

Method Detail

### getCall

    public Call getCall()

  External access to our Call object

### list

    public String list(Options opts)
                throws Exception

  Throws:
    `Exception`

### list

    public String list()
                throws Exception

  Throws:
    `Exception`

### quit

    public String quit(Options opts)
                throws Exception

  Throws:
    `Exception`

### quit

    public String quit()
                throws Exception

  Throws:
    `Exception`

### undeployHandler

    public String undeployHandler(String handlerName)
                           throws Exception

  Throws:
    `Exception`

### undeployService

    public String undeployService(String serviceName)
                           throws Exception

  Throws:
    `Exception`

### process

    public String process(String[] args)
                   throws Exception

  Processes a set of administration commands.

  The following commands are available:

  - `-lurl` sets the AxisServlet URL
  - `-hhostName` sets the AxisServlet host
  - `-pportNumber` sets the AxisServlet port
  - `-sservletPath` sets the path to the AxisServlet
  - `-ffileName` specifies that a simple file protocol should be used
  - `-uusername` sets the username
  - `-wpassword` sets the password
  - `-d` sets the debug flag (for instance, -ddd would set it to 3)
  - `-tname` sets the transport chain touse
  - `list` will list the currently deployed services
  - `quit` will quit (???)
  - `passwd value` changes the admin password
  - `xmlConfigFile` deploys or undeploys Axis components and web services

  If `-l` or `-h -p -s` are not set, the AdminClient will invoke `http://localhost:8080/axis/servlet/AxisServlet`.

  Parameters:
    `args` - Commands to process
  Returns:
    XML result or null in case of failure. In the case of multiple commands, the XML results will be concatenated, separated by \n
  Throws:
    `Exception` - Could be an IO exception, an AxisFault or something else

### processOpts

    public void processOpts(Options opts)
                     throws Exception

  Throws:
    `Exception`

### process

    public String process(InputStream input)
                   throws Exception

  Throws:
    `Exception`

### process

    public String process(URL xmlURL)
                   throws Exception

  Throws:
    `Exception`

### process

    public String process(String xmlFile)
                   throws Exception

  Throws:
    `Exception`

### process

    public String process(Options opts,
                          String xmlFile)
                   throws Exception

  Throws:
    `Exception`

### process

    public String process(Options opts,
                          InputStream input)
                   throws Exception

  Throws:
    `Exception`

### main

    public static void main(String[] args)

  Creates in instance of `AdminClient` and invokes `process(args)`.

  Diagnostic output goes to `log.info`.

  Parameters:
    `args` - Commands to process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.